Bug 1468219 - RFE: add default for discard_these_nonmembers
RFE: add default for discard_these_nonmembers
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mailman (Show other bugs)
7.3
All Linux
low Severity low
: rc
: ---
Assigned To: Pavel Zhukov
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 07:24 EDT by Moritz Baumann
Modified: 2017-08-09 06:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1702664 None None None 2017-07-10 03:55 EDT

  None (edit)
Description Moritz Baumann 2017-07-06 07:24:11 EDT
Description of problem:

We would like to set a default for "discard_these_nonmembers" for newly created mailing lists (to black list our spamreporting tool per default).

Version-Release number of selected component (if applicable):

mailman-2.1.15-21.el7_1.x86_64

How to enhance:

diff -Nu /usr/lib/mailman/Mailman/MailList.py.bak /usr/lib/mailman/Mailman/MailList.py
--- /usr/lib/mailman/Mailman/MailList.py.bak	2017-07-06 13:07:22.970282424 +0200
+++ /usr/lib/mailman/Mailman/MailList.py	2017-07-06 13:09:14.698381075 +0200
@@ -396,7 +396,7 @@
         self.accept_these_nonmembers = []
         self.hold_these_nonmembers = []
         self.reject_these_nonmembers = []
-        self.discard_these_nonmembers = []
+        self.discard_these_nonmembers = mm_cfg.DEFAULT_DISCARD_THESE_NONMEMBERS
         self.forward_auto_discards = mm_cfg.DEFAULT_FORWARD_AUTO_DISCARDS
         self.generic_nonmember_action = mm_cfg.DEFAULT_GENERIC_NONMEMBER_ACTION
         self.nonmember_rejection_notice = ''

diff -Nu /usr/lib/mailman/Mailman/versions.py.bak /usr/lib/mailman/Mailman/versions.py
--- /usr/lib/mailman/Mailman/versions.py.bak	2017-07-06 13:07:30.254288040 +0200
+++ /usr/lib/mailman/Mailman/versions.py	2017-07-06 13:09:43.203427499 +0200
@@ -111,7 +111,7 @@
     if not hasattr(l, 'reject_these_nonmembers'):
         l.reject_these_nonmembers = []
     if not hasattr(l, 'discard_these_nonmembers'):
-        l.discard_these_nonmembers = []
+        l.discard_these_nonmembers = mm_cfg.DEFAULT_DISCARD_THESE_NONMEMBERS
     if not hasattr(l, 'forward_auto_discards'):
         l.forward_auto_discards = mm_cfg.DEFAULT_FORWARD_AUTO_DISCARDS
     if not hasattr(l, 'generic_nonmember_action'):

diff -Nu /usr/lib/mailman/Mailman/Defaults.py.bak /usr/lib/mailman/Mailman/Defaults.py
--- /usr/lib/mailman/Mailman/Defaults.py.bak	2017-07-06 13:07:46.286300403 +0200
+++ /usr/lib/mailman/Mailman/Defaults.py	2017-07-06 13:08:44.772345522 +0200
@@ -1003,6 +1003,9 @@
 # moderators?
 DEFAULT_FORWARD_AUTO_DISCARDS = Yes
 
+# List of nonmembers to be discarded automatically. Can be changed via web/config_list later on
+DEFAULT_DISCARD_THESE_NONMEMBERS = []
+
 # Shall dmarc_moderation_action be applied to messages From: domains with
 # a DMARC policy of quarantine as well as reject?  This sets the default for
 # the list setting that controls it.
Comment 2 Moritz Baumann 2017-07-06 07:24:55 EDT
copy of https://bugzilla.redhat.com/show_bug.cgi?id=1468211 for RHEL 7
Comment 4 Pavel Zhukov 2017-07-10 03:56:55 EDT
Thank you for taking the time to report this issue to us. We appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit:
    https://www.redhat.com/support/process/production/#howto

Note You need to log in before you can comment on or make changes to this bug.